package com.playlet.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.playlet.system.domain.PlayletRevenueRecord;
import com.playlet.system.pojo.vo.RevenueRecordStatisticsVO;

import java.util.List;

/**
 * @Date: 2024-03-17
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 短剧任务收益Service接口
 */
public interface IPlayletRevenueRecordService extends IService<PlayletRevenueRecord> {

    /**
     * 查询短剧任务收益
     *
     * @param id 短剧任务收益主键
     * @return 短剧任务收益
     */
    public PlayletRevenueRecord selectPlayletRevenueRecordById(Long id);

    /**
     * 查询短剧任务收益列表
     *
     * @param playletRevenueRecord 短剧任务收益
     * @return 短剧任务收益集合
     */
    public List<PlayletRevenueRecord> selectPlayletRevenueRecordList(PlayletRevenueRecord playletRevenueRecord);

    /**
     * 新增短剧任务收益
     *
     * @param playletRevenueRecord 短剧任务收益
     * @return 结果
     */
    public int insertPlayletRevenueRecord(PlayletRevenueRecord playletRevenueRecord);

    /**
     * 修改短剧任务收益
     *
     * @param playletRevenueRecord 短剧任务收益
     * @return 结果
     */
    public int updatePlayletRevenueRecord(PlayletRevenueRecord playletRevenueRecord);

    /**
     * 批量删除短剧任务收益
     *
     * @param ids 需要删除的短剧任务收益主键集合
     * @return 结果
     */
    public int deletePlayletRevenueRecordByIds(String ids);

    /**
     * 删除短剧任务收益信息
     *
     * @param id 短剧任务收益主键
     * @return 结果
     */
    public int deletePlayletRevenueRecordById(Long id);

    PlayletRevenueRecord statisticsTime(PlayletRevenueRecord record);

    RevenueRecordStatisticsVO statistics(PlayletRevenueRecord record);

    List<PlayletRevenueRecord> statisticsTimeType(PlayletRevenueRecord record);

    List<PlayletRevenueRecord> searchByTaskId(Long taskId);
}
